Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
cascading::CascadeManager::RoleChangedEvent Struct Reference

Event: This unit's role in the cascade has changed. More...

`import <CascadeManager.idl;`

Inheritance diagram for cascading::CascadeManager::RoleChangedEvent:

## Public Attributes
Role | oldRole
| Previous role before the change.
Role | newRole
| New role after the change.
string | primaryUnit
| Primary unit IP address (if new role is link unit)
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: This unit's role in the cascade has changed.

Definition at line 85 of file CascadeManager.idl.

## Member Data Documentation

## ◆ newRole

Role cascading::CascadeManager::RoleChangedEvent::newRole

New role after the change.

Definition at line 87 of file CascadeManager.idl.

## ◆ oldRole

Role cascading::CascadeManager::RoleChangedEvent::oldRole

Previous role before the change.

Definition at line 86 of file CascadeManager.idl.

## ◆ primaryUnit

string cascading::CascadeManager::RoleChangedEvent::primaryUnit

Primary unit IP address (if new role is link unit)

Definition at line 88 of file CascadeManager.idl.

The documentation for this struct was generated from the following file:

- CascadeManager.idl